Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
financials
/
reserves
Get Event Reserves
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/financials/reserves \
  --header 'Authorization: <api-key>'
[
  {
    "categoryId": "indemnity_invoice",
    "reserves": 1000000,
    "owed": 200000,
    "paid": 500000,
    "expectedTotal": 1500000
  },
  {
    "categoryId": "alae_invoice",
    "reserves": 100000,
    "owed": 75000,
    "paid": 0,
    "expectedTotal": 200000
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: Authorization: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

Response

Reserve information for all categories

categoryId
string

Transaction category identifier

reserves
integer | null

Reserve amount in cents (null if category doesn't support reserves)

owed
integer

Total owed amount in cents

paid
integer

Total paid amount in cents

expectedTotal
integer

Expected total amount in cents